Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface PresentationPropertyConstants.Value

    com.change_vision.jude.api.inf.presentation.PresentationPropertyConstants.Value

Enclosing interface:
  PresentationPropertyConstants

    public PresentationPropertyConstants.Value

This is a Class that defines a value of properties used by Presentation.

Since:
  6.8.0

Field Summary
`static String` | `CLASS_FIGURE_NORMAL_CLASS` This specifies the Normal Class.
`static String` | `CLASS_FIGURE_STRUCTURE_CLASS` This specifies the Structure Class.
`static String` | `DIRECTION_HORIZONTAL` This sets Horizontal.
`static String` | `DIRECTION_VERTIAL` This sets Vertical.
`static String` | `FONT_NAME_DIALOG` This sets the "Dialog" font.
`static String` | `FONT_NAME_DIALOGINPUT` This sets the "DialogInput" font.
`static String` | `FONT_NAME_MONOSPACED` This sets the "Monospaced" font.
`static String` | `FONT_NAME_SANS_SERIF` This sets the "SansSerif" font.
`static String` | `FONT_NAME_SERIF` This sets the "Serif" font.
`static String` | `FONT_STYLE_BOLD` This sets bold.
`static String` | `FONT_STYLE_BOLDITALIC` This sets Italic and bold.
`static String` | `FONT_STYLE_ITALIC` This sets Italic.
`static String` | `FONT_STYLE_PLAIN` This sets the "plain" style.
`static String` | `LINE_ARROW_TYPE_BOTH_ARROW` This crates arrows pointing to the both ends.
`static String` | `LINE_ARROW_TYPE_END_ARROW` This creates an arrow pointing to the target.
`static String` | `LINE_ARROW_TYPE_NO_ARROW` This adds no arrow to both ends.
`static String` | `LINE_ARROW_TYPE_START_ARROW` This creates an arrow pointing to the source.
`static String` | `LINE_SHAPE_CURVE` This sets the curved line.
`static String` | `LINE_SHAPE_CURVE_RIGHT_ANGLE` This sets the right-angle curved line.
`static String` | `LINE_SHAPE_LINE` This sets the normal solid line.
`static String` | `LINE_SHAPE_LINE_RIGHT_ANGLE` This sets the right-angle line.
`static String` | `LINE_TYPE_DASH1` This sets the dotted line style 1.
`static String` | `LINE_TYPE_DASH2` This sets the dotted line style 2.
`static String` | `LINE_TYPE_DASH3` This sets the dotted line style 3.
`static String` | `LINE_TYPE_LINE` This sets the normal solid line.
`static String` | `NAME_DIRECTION_FORWARD` This sets the forward direction.
`static String` | `NAME_DIRECTION_REVERSE` This sets the opposite direction.
`static String` | `NAMESPACE_VISIBILITY_FULL` This makes all the Namaspaces visible.
`static String` | `NAMESPACE_VISIBILITY_NONE` This makes all of the Namespaces invisible.
`static String` | `NAMESPACE_VISIBILITY_UP_ONE_LEVEL` This makes the top level of the Namespace visible.
`static String` | `NOTATION_TYPE_CUSTOMIZED` This specifies the Customized Icon notation mode.
`static String` | `NOTATION_TYPE_ICON` This specifies the Icon notation mode.
`static String` | `NOTATION_TYPE_NORMAL` This specifies the Normal Icon notation mode.
`static String` | `RECT_TYPE_ROUND` This sets oval.
`static String` | `SHAPE_BEZIER` This sets the curved line type of a Line between Topics.
`static String` | `SHAPE_CLOUD` This sets the cloud-shaped line of a Boundary.
`static String` | `SHAPE_LINE` This sets a straight line type of a Topic.
`static String` | `SHAPE_LINEAR` This sets a straight line type of a Line between Topics.
`static String` | `SHAPE_ROUNDED_RECTANGLE` This sets a rectangle with round edges of a Topic.
`static String` | `SHAPE_ROUNDEDLINE` This sets the round edge line of a Boundary.
`static String` | `SHAPE_SHARPBEZIER` This sets the fine curved line type of a Line between Topics.
`static String` | `SHAPE_SHARPLINEAR` This sets the fine straight line type of a Line between Topics.
`static String` | `SHAPE_STRAIGHTLINE` This sets the straight line type of a Boundary.

Field Detail

### CLASS_FIGURE_NORMAL_CLASS

    static final String CLASS_FIGURE_NORMAL_CLASS

  This specifies the Normal Class.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.CLASS_FIGURE`

### CLASS_FIGURE_STRUCTURE_CLASS

    static final String CLASS_FIGURE_STRUCTURE_CLASS

  This specifies the Structure Class.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.CLASS_FIGURE`

### NOTATION_TYPE_NORMAL

    static final String NOTATION_TYPE_NORMAL

  This specifies the Normal Icon notation mode.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.NOTATION_TYPE`

### NOTATION_TYPE_ICON

    static final String NOTATION_TYPE_ICON

  This specifies the Icon notation mode.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.NOTATION_TYPE`

### NOTATION_TYPE_CUSTOMIZED

    static final String NOTATION_TYPE_CUSTOMIZED

  This specifies the Customized Icon notation mode.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.NOTATION_TYPE`

### NAMESPACE_VISIBILITY_NONE

    static final String NAMESPACE_VISIBILITY_NONE

  This makes all of the Namespaces invisible.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.NAMESPACE_VISIBILITY`

### NAMESPACE_VISIBILITY_UP_ONE_LEVEL

    static final String NAMESPACE_VISIBILITY_UP_ONE_LEVEL

  This makes the top level of the Namespace visible.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.NAMESPACE_VISIBILITY`

### NAMESPACE_VISIBILITY_FULL

    static final String NAMESPACE_VISIBILITY_FULL

  This makes all the Namaspaces visible.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.NAMESPACE_VISIBILITY`

### LINE_SHAPE_LINE

    static final String LINE_SHAPE_LINE

  This sets the normal solid line.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_SHAPE`

### LINE_SHAPE_LINE_RIGHT_ANGLE

    static final String LINE_SHAPE_LINE_RIGHT_ANGLE

  This sets the right-angle line.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_SHAPE`

### LINE_SHAPE_CURVE

    static final String LINE_SHAPE_CURVE

  This sets the curved line.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_SHAPE`

### LINE_SHAPE_CURVE_RIGHT_ANGLE

    static final String LINE_SHAPE_CURVE_RIGHT_ANGLE

  This sets the right-angle curved line.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_SHAPE`

### FONT_NAME_DIALOG

    static final String FONT_NAME_DIALOG

  This sets the "Dialog" font.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_NAME`

### FONT_NAME_DIALOGINPUT

    static final String FONT_NAME_DIALOGINPUT

  This sets the "DialogInput" font.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_NAME`

### FONT_NAME_SERIF

    static final String FONT_NAME_SERIF

  This sets the "Serif" font.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_NAME`

### FONT_NAME_SANS_SERIF

    static final String FONT_NAME_SANS_SERIF

  This sets the "SansSerif" font.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_NAME`

### FONT_NAME_MONOSPACED

    static final String FONT_NAME_MONOSPACED

  This sets the "Monospaced" font.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_NAME`

### FONT_STYLE_PLAIN

    static final String FONT_STYLE_PLAIN

  This sets the "plain" style.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_STYLE`

### FONT_STYLE_BOLD

    static final String FONT_STYLE_BOLD

  This sets bold.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_STYLE`

### FONT_STYLE_ITALIC

    static final String FONT_STYLE_ITALIC

  This sets Italic.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_STYLE`

### FONT_STYLE_BOLDITALIC

    static final String FONT_STYLE_BOLDITALIC

  This sets Italic and bold.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.FONT_STYLE`

### RECT_TYPE_ROUND

    static final String RECT_TYPE_ROUND

  This sets oval.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.RECT_TYPE`

### LINE_TYPE_LINE

    static final String LINE_TYPE_LINE

  This sets the normal solid line.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_TYPE`

### LINE_TYPE_DASH1

    static final String LINE_TYPE_DASH1

  This sets the dotted line style 1.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_TYPE`

### LINE_TYPE_DASH2

    static final String LINE_TYPE_DASH2

  This sets the dotted line style 2.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_TYPE`

### LINE_TYPE_DASH3

    static final String LINE_TYPE_DASH3

  This sets the dotted line style 3.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_TYPE`

### LINE_ARROW_TYPE_NO_ARROW

    static final String LINE_ARROW_TYPE_NO_ARROW

  This adds no arrow to both ends.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_ARROW_TYPE`

### LINE_ARROW_TYPE_START_ARROW

    static final String LINE_ARROW_TYPE_START_ARROW

  This creates an arrow pointing to the source.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_ARROW_TYPE`

### LINE_ARROW_TYPE_END_ARROW

    static final String LINE_ARROW_TYPE_END_ARROW

  This creates an arrow pointing to the target.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_ARROW_TYPE`

### LINE_ARROW_TYPE_BOTH_ARROW

    static final String LINE_ARROW_TYPE_BOTH_ARROW

  This crates arrows pointing to the both ends.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.LINE_ARROW_TYPE`

### SHAPE_LINE

    static final String SHAPE_LINE

  This sets a straight line type of a Topic.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### SHAPE_ROUNDED_RECTANGLE

    static final String SHAPE_ROUNDED_RECTANGLE

  This sets a rectangle with round edges of a Topic.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### SHAPE_LINEAR

    static final String SHAPE_LINEAR

  This sets a straight line type of a Line between Topics.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### SHAPE_BEZIER

    static final String SHAPE_BEZIER

  This sets the curved line type of a Line between Topics.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### SHAPE_SHARPBEZIER

    static final String SHAPE_SHARPBEZIER

  This sets the fine curved line type of a Line between Topics.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### SHAPE_SHARPLINEAR

    static final String SHAPE_SHARPLINEAR

  This sets the fine straight line type of a Line between Topics.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### SHAPE_CLOUD

    static final String SHAPE_CLOUD

  This sets the cloud-shaped line of a Boundary.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### SHAPE_STRAIGHTLINE

    static final String SHAPE_STRAIGHTLINE

  This sets the straight line type of a Boundary.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### SHAPE_ROUNDEDLINE

    static final String SHAPE_ROUNDEDLINE

  This sets the round edge line of a Boundary.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.SHAPE`

### NAME_DIRECTION_FORWARD

    static final String NAME_DIRECTION_FORWARD

  This sets the forward direction.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.NAME_DIRECTION_REVERSE`

### NAME_DIRECTION_REVERSE

    static final String NAME_DIRECTION_REVERSE

  This sets the opposite direction.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.NAME_DIRECTION_REVERSE`

### DIRECTION_VERTIAL

    static final String DIRECTION_VERTIAL

  This sets Vertical.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.DIRECTION`

### DIRECTION_HORIZONTAL

    static final String DIRECTION_HORIZONTAL

  This sets Horizontal.

  Since:
    6.8.0
  See Also:
    `PresentationPropertyConstants.Key.DIRECTION`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD